Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363781 - dnf system-upgrade to F24 fails after reboot, nothing to do
Summary: dnf system-upgrade to F24 fails after reboot, nothing to do
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Will Woods
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 14:26 UTC by Peter Schwindt
Modified: 2016-09-30 07:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-30 07:00:06 UTC


Attachments (Terms of Use)
dnf system-upgrade log -1 (deleted)
2016-08-03 14:26 UTC, Peter Schwindt
no flags Details

Description Peter Schwindt 2016-08-03 14:26:20 UTC
Created attachment 1187097 [details]
dnf system-upgrade log -1

Description of problem:
Tried to upgrade F23 to F24 via dnf system-upgrade

Version-Release number of selected component (if applicable):
dnf-plugin-system-upgrade-0.7.1-1.fc23.noarch
python3-dnf-plugin-system-upgrade-0.7.1-1.fc23.noarch
python2-dnf-plugin-system-upgrade-0.7.1-1.fc23.noarch

How reproducible:
>1

Steps to Reproduce:
1. dnf system-upgrade download --releasever=24
2. dnf system-upgrade reboot
3.

Actual results:
System not upgraded, back at F23.

Expected results:
Happily booting into F24.

Additional info:
As written in the docs, the system boots into F23, begins upgrading and about a second later ends, closes the running session, reboots into static F23 again.

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-08-04 05:31:18 UTC
Aug 03 15:57:41 korn python3[840]: Starting system upgrade. This will take a while.
Aug 03 15:57:42 korn dnf[840]: Dependencies resolved.
Aug 03 15:57:42 korn dnf[840]: Nothing to do.
Aug 03 15:57:42 korn dnf[840]: Complete!
Aug 03 15:57:42 korn python3[840]: Upgrade complete! Cleaning up and rebooting...

And what does dnf system-upgrade download --releasever=24 say, does it list a bunch of packages?

Comment 2 Peter Schwindt 2016-08-04 05:40:41 UTC
Yup. It downloads about 3k packages.

Comment 3 Peter Schwindt 2016-09-30 07:00:06 UTC
WFM now, maybe there were some useful updates inside the update scheme.


Note You need to log in before you can comment on or make changes to this bug.